Debian Bug report logs - #338016
RM: libpng3 -- obsoleted by libpng

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Josselin Mouette <joss@debian.org>

Date: Mon, 7 Nov 2005 20:33:02 UTC

Severity: normal

Tags: moreinfo

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#338016; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: libpng3 -- obsoleted by libpng
Date: Mon, 7 Nov 2005 21:05:16 +0100
Package: ftp.debian.org
Severity: normal

Please remove the libpng3 source package, and the remaining libpng3-dev 
binary package. Other binary packages are now provided by the libpng 
source.

Regards,
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#338016; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 338016@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Josselin Mouette <joss@debian.org>, 338016@bugs.debian.org
Cc: Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: RM: libpng3 -- obsoleted by libpng
Date: Sun, 20 Nov 2005 19:35:35 +0100
tags 338016 moreinfo
thanks

On Mon, Nov 07, 2005 at 09:05:16PM +0100, Josselin Mouette wrote:
> Please remove the libpng3 source package, and the remaining libpng3-dev 
> binary package. Other binary packages are now provided by the libpng 
> source.

Tons of packages still (build-)depend on it. How about some sort of
migration plan? Currently, removing this would break too much.

--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Tags added: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#338016; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #17 received at 338016@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 338016@bugs.debian.org
Subject: Re: RM: libpng3 -- obsoleted by libpng
Date: Mon, 21 Nov 2005 11:18:55 +0100
Le dimanche 20 novembre 2005 à 19:35 +0100, Jeroen van Wolffelaar a
écrit :
> tags 338016 moreinfo
> thanks
> 
> On Mon, Nov 07, 2005 at 09:05:16PM +0100, Josselin Mouette wrote:
> > Please remove the libpng3 source package, and the remaining libpng3-dev 
> > binary package. Other binary packages are now provided by the libpng 
> > source.
> 
> Tons of packages still (build-)depend on it. How about some sort of
> migration plan? Currently, removing this would break too much.

Currently, libpng3-dev is provided by the libpng12-dev binary package. I
have ensured that there is no more package with a versioned
build-dependency on libpng3-dev. Unless I'm mistaken, the remaining,
non-versioned build-dependencies should be handled gracefully by APT and
build daemons.

Regards,
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
   `-  Debian GNU/Linux -- The power of freedom




Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 338016-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 338016-close@bugs.debian.org
Cc: libpng3@packages.debian.org, libpng3@packages.qa.debian.org
Subject: Bug#338016: fixed
Date: Thu, 29 Dec 2005 05:52:19 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   libpng3 | 1.2.8rel-1 | source
libpng3-dev | 1.2.8rel-1 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 338016@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 16:10:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:43:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.